> ## Documentation Index
> Fetch the complete documentation index at: https://docs.vinmake.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Recurring Template



## OpenAPI

````yaml /api/openapi-finindex.json post /api/v1/gl/recurring-templates
openapi: 3.1.0
info:
  title: Finindex API — ERP · Finance · Accounting
  version: 0.1.0
servers:
  - url: https://vinmake-erp.onrender.com
security: []
paths:
  /api/v1/gl/recurring-templates:
    post:
      tags:
        - GL
      summary: Create Recurring Template
      operationId: create_recurring_template_api_v1_gl_recurring_templates_post
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/RecurringTemplateCreate'
        required: true
      responses:
        '201':
          description: Successful Response
          content:
            application/json:
              schema:
                additionalProperties: true
                type: object
                title: >-
                  Response Create Recurring Template Api V1 Gl Recurring
                  Templates Post
        '401':
          description: Unauthorized
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - OAuth2PasswordBearer: []
components:
  schemas:
    RecurringTemplateCreate:
      properties:
        name:
          type: string
          title: Name
        frequency:
          type: string
          title: Frequency
        startDate:
          type: string
          format: date
          title: Startdate
        endDate:
          anyOf:
            - type: string
              format: date
            - type: 'null'
          title: Enddate
        remark:
          anyOf:
            - type: string
            - type: 'null'
          title: Remark
        lines:
          items:
            additionalProperties: true
            type: object
          type: array
          title: Lines
      type: object
      required:
        - name
        - frequency
        - startDate
        - lines
      title: RecurringTemplateCreate
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    OAuth2PasswordBearer:
      type: oauth2
      flows:
        password:
          scopes: {}
          tokenUrl: /auth/login

````